Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000669 [Ecere SDK] ecere minor N/A 2011-12-13 22:24 2013-05-19 17:15
Reporter redj View Status public  
Assigned To redj
Priority low Resolution fixed  
Status closed   Product Version
Summary 0000669: ShellOpen use of gnome-open, kde-open, ecere explorer, MIME, etc
Description ShellOpen detects ECERE_DESKTOP, gnome and kde (kde might need testing) and uses ede-open, gnome-open and kde-open to open the file/folder.
If we can't resolve ecere, gnome or kde, perhaps check attributes to see if it's a folder first and launch a shell in an xterm with an 'ls -l' if we cannot resolve?

Should the MIME types thing be inside libecere to check a few basic extensions and try to see if some apps are installed, or should we pass it to EDE's 'explorer open %s' ?
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0000313closedredj Ecere SDK On Linux, "Browse Project Folder" doesn't (patch included) 
related to 0000690new Ecere Desktop Environment ede-open: implement mime support 

-  Notes
(0000519)
redj (administrator)
2012-03-09 12:59
edited on: 2012-03-09 13:14

ShellOpen is now calling the following in order if detected
ede-open, gnome-open, kde-open
if none of these desktops are detected ShellOpen will call xdg-open
see 0000313
MIME stuff will be implemented in ede-open


- Issue History
Date Modified Username Field Change
2011-12-13 22:24 redj New Issue
2011-12-13 22:24 redj Status new => assigned
2011-12-13 22:24 redj Assigned To => redj
2011-12-14 01:02 redj Description Updated
2012-03-08 10:52 redj Target Version => 0.45 Ginkakuji
2012-03-09 12:58 redj Relationship added related to 0000313
2012-03-09 12:59 redj Note Added: 0000519
2012-03-09 13:14 redj Note Edited: 0000519
2012-03-09 13:15 redj Status assigned => resolved
2012-03-09 13:15 redj Resolution open => fixed
2012-03-09 13:15 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-09 13:15 redj Target Version 0.45 Ginkakuji => 0.44 Ryoan-ji
2012-03-09 13:17 redj Relationship added related to 0000690
2012-03-29 02:53 redj Category => Ecere Runtime Library
2012-03-29 02:53 redj Project @1@ => Ecere SDK
2012-03-29 03:24 redj Summary ecere: ShellOpen use of gnome-open, kde-open, ecere explorer, MIME, etc => ShellOpen use of gnome-open, kde-open, ecere explorer, MIME, etc
2013-05-19 17:15 jerome Status resolved => closed


Mantis 1.1.1[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker